%% Uppgift 3
clear all;close all
ReplaceME=1;
% ladda in och studera data från körcykeln
load bevTruck

%% skapa första plotten
figure(1)
ph(1)=subplot(4,1,1);
plot(bev.t,bev.altitude)
title('Körning med BEV-lastbil från Ödeshög till Göteborg')
ylabel('Höjd [m]')
ph(2)=subplot(4,1,2);
plot(bev.t,bev.velocity)
ylabel('Hastighet [km/h]')
ph(3)=subplot(4,1,3);
plot(bev.t,bev.voltage)
ylabel('Batterispänning [V]')
ph(4)=subplot(4,1,4);
plot(bev.t,bev.current)
ylabel('Batteriström [V]')
xlabel('Tid [s]')
linkaxes(ph,'x')
% kolla riktningen på strömmen, är det generator eller motor konvention i
% detta data?
% Det finns inget som hindrar er från att titta på fler signaler från körningen som finns
% i bev om ni är intresserade.

%% Ladda in data för OCV
% ladda in data och skapa en plot för OCV kurvan (gör det gärna för packet
% så ni kan jämföra mot figur 1. Notera att OCV kurvan gäller för en cell.
load ocv

figure(2)
% Skapa SOC, OCV plot för batteriet.
% Vad skall ni göra för att skala y-axeln så ni kan jämföra SOC mot spänningarna på
% pack nivå som ni fick i figur 1?
plot(ReplaceME,ReplaceME) % skapa plotten
xlabel('ReplaceME')
ylabel('ReplaceME')

% Givet spänningen i figur 1, då fordonet startar vid Ödeshög, vad är rimlig SOC?
disp('Rimlig SOC vid start är: XXX, därför att ...')
SOC_start=ReplaceME;

%% Beräkna urladdningen under körningen
% Hämta integrationsfunktionen från Uppgift 1.
% Tänk igenom vilken ström det skall vara och hur data skall skalas så att det blir rätt enhet Ah.
Qbatt=ReplaceME;
% Vad motsvarar detta is SOC förändring?
SOC_Drop=ReplaceME;
% Vad blir SOC i slutet av körningen
SOC_end=ReplaceME;

%% Slutlig jämförelse mellan spänning och SOC
% Om SOC från ovan är korrekt, vad borde spänningen vara i slutet av
% körningen? Stämmer detta med späningsdata i figur 1?
disp(['Resultatet SOC=' num2str(SOC_end) ' är rimligt/orimligt'])
disp('Därför att...')